@import '../../core/base';

.chatMessageOverflow {
  overflow: auto;
  padding: 1.5rem;
  padding-right: 3.2rem;
  flex: 10 1;
  // height: 100%;
  @include mobile-lg {
    padding: 1rem;
    padding-right: 2.7rem;
  }
  &__item {
    color: #333;
    &_receiver {
      text-align: right;
    }
  }
}

.messages {
  height: 100%;
  // overflow: auto;
  &__item {
    padding-bottom: 1rem;
    display: flex;
    &_start {
      justify-content: flex-start;
    }
    &_end {
      justify-content: flex-end;
      text-align: right;
    }
  }
  &__item_end &__wrap {
    flex-direction: row-reverse;
    padding-left: 5.1rem;
    @include mobile-lg {
      padding-left: 4.6rem;
    }
  }
  &__item_start &__wrap {
    padding-right: 51px;
    @include mobile-lg {
      padding-right: 0;
    }
  }
  &__item_end &__info {
    padding-left: 0;
    padding-right: 1.5rem;
    @include mobile-lg {
      padding-right: 0;
    }
  }
  &__wrap {
    @include flex(flex-start, flex-start);
    max-width: 80rem;
    @include  mobile-lg {
      max-width: 80rem;
    }
  }
  &__img {
    border-radius: 50%;
    min-width: 3.6rem;
    height: 3.6rem;
    width: 3.6rem;
    &_none {
      background-color: #009eee;
      color: #fff;
      text-transform: uppercase;
      font-weight: bold;
      font-size: 1.4rem;
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 0;
      margin: 0;
      line-height: inherit;
    }
  }
  &__item_end &__img {
    @include mobile-lg {
      display: none;
    }
  }
  &__info {
    padding-left: 1.5rem;
    @include mobile-lg {
      padding-left: 1rem;
    }
  }
  &__item_end &__time {
    padding-right: 0.5rem;
  }
  &__item_end &__user {
    display: flex;
    flex-direction: row-reverse;
  }
  &__item_start &__user {
    color: #009eee;
  }
  &__text {
    border-radius: 0 7px 7px 7px;
    background-color: #faf7fd;
    padding: .6rem 1.2rem !important;
    display: inline-block;
    word-break: break-word;
    white-space: pre-line;
  }
  &__item_end &__text {
    border-radius: 7px 0 7px 7px;
    text-align: left;
  }

  &__checktime {
    position: relative;
  }

  &__time {
    color: #999;
    font-size: 1.1rem;
    font-style: italic;
    white-space: nowrap;
  }
  &__check {
    color: #999;
    font-size: 1.5rem !important;
    line-height: unset;
  }
}
